Create surcharge quotes
/surcharge-quotesAsk what a payment would cost. The way you identify the method is selected by the body's type.
SrchqCmdForAccountSrchqCmdForCardSrchqCmdForSavedSourcePermissions
paymentTokens:createRequires the `create` action on `paymentTokens` for the supplied runtime context
Request body
This body is a typed union. Pick a variant to see its fields and a matching example.
typetype = "SrchqCmdForAccount"merchantIdMchtIdrequiredIdentifier of a merchant.
Example mcht_9f2Kd8QpLzXw
An amount in minor current units of a given currency.
typeenumrequiredIsoCurrencyAmountminorCurrencyUnitsinteger (int64)requiredThe amount in minor currency units (e.g. cents for AUD).
Example 1250
currencyIsoCurrencyrequiredThe currency of the given amount as a 3 letter ISO code.
AFNDZDARSAMDAWGAUDAZNBSDBHDTHB+156 moreShow fewer
PAB, BBD, BYR, BZD, BMD, VEF, BOB, BRL, BND, BGN, BIF, CAD, CVE, KYD, XOF, XAF, XPF, CLP, COP, KMF, CDF, BAM, NIO, CRC, HRK, CUP, CZK, GMD, DKK, MKD, DJF, STD, DOP, VND, XCD, EGP, SVC, ETB, EUR, FKP, FJD, HUF, GHS, GIP, HTG, PYG, GNF, GYD, HKD, UAH, ISK, INR, IRR, IQD, JMD, JOD, KES, PGK, LAK, KWD, MWK, AOA, MMK, GEL, LBP, ALL, HNL, SLL, LRD, LYD, SZL, LSL, MGA, MYR, MUR, MXN, MXV, MDL, MAD, MZN, BOV, NGN, ERN, NAD, NPR, ANG, ILS, TWD, NZD, BTN, KPW, NOK, PEN, MRU, PKR, MOP, TOP, CUC, UYU, PHP, GBP, BWP, QAR, GTQ, ZAR, OMR, KHR, RON, MVR, IDR, RUB, RWF, SHP, SAR, RSD, SCR, SGD, SBD, KGS, SOS, TJS, SSP, LKR, SDG, SRD, SEK, CHF, SYP, BDT, WST, TZS, KZT, TTD, MNT, TND, TRY, TMT, AED, UGX, COU, CLF, UYI, USD, USN, USS, UZS, VUV, CHE, CHW, KRW, YER, JPY, CNY, ZMW, ZWL, PLN
methodSrchqAccountMethodrequiredDirectDebitPayToBankTransferUnknowntypeTaken in full, once.
Taken in full, once.
Taken over a plan. The variant decides the schedule, and the rate.
variantSrchqPayPlanVariantrequiredFourFortnightlyQuartersFourWeeklyEightWeeklyTwentySixFortnightlyFiftyTwoWeeklyTwoMonthlyThreeMonthlyFourMonthlyFiveMonthlySixMonthly+11 moreShow fewer
SevenMonthly, EightMonthly, NineMonthly, TenMonthly, ElevenMonthly, TwelveMonthly, FortnightDeferred, FourWeekDeferred, SevenWeekDeferred, ThirtyDayDeferred, Unknown
customerTypeSrchqCustomerTyperequiredConsumerOrganisationUnknowncurl -X POST https://api.tst.au.apgpay.dev/surcharge-quotes \
-H "Authorization: Bearer $API_KEY" \
-H "Content-Type: application/json" \
-d '{
"type": "SrchqCmdForAccount",
"merchantId": "mcht_9f2Kd8QpLzXw",
"amount": {
"type": "IsoCurrencyAmount",
"minorCurrencyUnits": 1250,
"currency": "AUD"
},
"method": "DirectDebit",
"form": {
"type": "SrchqFormPayInFull"
},
"customerType": "Consumer"
}'Responses
The response is a tagged shape: type is always "SrchqCreateRspAttributes". Switch on it; subtypes can be added, and a client that already reads it will not break.
typetype = "SrchqCreateRspAttributes"The resource that was created.
typeenumrequiredSrchqViewAttributessurchargeQuoteIdSrchqIdrequiredThe quote's identity and its signature. Send it back unchanged when you take the payment.
Example srchq_9f2Kd8QpLzXw
merchantIdMchtIdrequiredIdentifier of a merchant.
Example mcht_9f2Kd8QpLzXw
The figures in a surcharge quote. All are in the single currency given here.
typeenumrequiredSrchqAmountsAttributescurrencyIsoCurrencyrequiredAFNDZDARSAMDAWGAUDAZNBSDBHDTHB+156 moreShow fewer
PAB, BBD, BYR, BZD, BMD, VEF, BOB, BRL, BND, BGN, BIF, CAD, CVE, KYD, XOF, XAF, XPF, CLP, COP, KMF, CDF, BAM, NIO, CRC, HRK, CUP, CZK, GMD, DKK, MKD, DJF, STD, DOP, VND, XCD, EGP, SVC, ETB, EUR, FKP, FJD, HUF, GHS, GIP, HTG, PYG, GNF, GYD, HKD, UAH, ISK, INR, IRR, IQD, JMD, JOD, KES, PGK, LAK, KWD, MWK, AOA, MMK, GEL, LBP, ALL, HNL, SLL, LRD, LYD, SZL, LSL, MGA, MYR, MUR, MXN, MXV, MDL, MAD, MZN, BOV, NGN, ERN, NAD, NPR, ANG, ILS, TWD, NZD, BTN, KPW, NOK, PEN, MRU, PKR, MOP, TOP, CUC, UYU, PHP, GBP, BWP, QAR, GTQ, ZAR, OMR, KHR, RON, MVR, IDR, RUB, RWF, SHP, SAR, RSD, SCR, SGD, SBD, KGS, SOS, TJS, SSP, LKR, SDG, SRD, SEK, CHF, SYP, BDT, WST, TZS, KZT, TTD, MNT, TND, TRY, TMT, AED, UGX, COU, CLF, UYI, USD, USN, USS, UZS, VUV, CHE, CHW, KRW, YER, JPY, CNY, ZMW, ZWL, PLN
amountMinorUnitsrequiredThe amount before any surcharge, what you asked about.
Example 1250
surchargeMinorUnitsrequiredThe surcharge that would be added.
Example 1250
totalMinorUnitsrequiredWhat the payer would actually be charged.
Example 1250
summarystringrequiredHow the surcharge was worked out, in words a payer can be shown, 1% + $0.30 for Visa.
The payment method this quote is for. A quote is only valid for the method it was asked about.
typeApple Pay, priced from the card behind it.
The card attributes a surcharge is priced from.
typeenumrequiredSrchqCardAttributesAttributescurrencyIsoCurrencyrequiredThe currency the card is denominated in.
AFNDZDARSAMDAWGAUDAZNBSDBHDTHB+156 moreShow fewer
PAB, BBD, BYR, BZD, BMD, VEF, BOB, BRL, BND, BGN, BIF, CAD, CVE, KYD, XOF, XAF, XPF, CLP, COP, KMF, CDF, BAM, NIO, CRC, HRK, CUP, CZK, GMD, DKK, MKD, DJF, STD, DOP, VND, XCD, EGP, SVC, ETB, EUR, FKP, FJD, HUF, GHS, GIP, HTG, PYG, GNF, GYD, HKD, UAH, ISK, INR, IRR, IQD, JMD, JOD, KES, PGK, LAK, KWD, MWK, AOA, MMK, GEL, LBP, ALL, HNL, SLL, LRD, LYD, SZL, LSL, MGA, MYR, MUR, MXN, MXV, MDL, MAD, MZN, BOV, NGN, ERN, NAD, NPR, ANG, ILS, TWD, NZD, BTN, KPW, NOK, PEN, MRU, PKR, MOP, TOP, CUC, UYU, PHP, GBP, BWP, QAR, GTQ, ZAR, OMR, KHR, RON, MVR, IDR, RUB, RWF, SHP, SAR, RSD, SCR, SGD, SBD, KGS, SOS, TJS, SSP, LKR, SDG, SRD, SEK, CHF, SYP, BDT, WST, TZS, KZT, TTD, MNT, TND, TRY, TMT, AED, UGX, COU, CLF, UYI, USD, USN, USS, UZS, VUV, CHE, CHW, KRW, YER, JPY, CNY, ZMW, ZWL, PLN
countryIsoCountryrequiredThe country the card was issued in.
AFAXALDZASADAOAIAQAG+239 moreShow fewer
AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, VG, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CK, CR, CI, HR, CU, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, KP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, KR, SS, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, CD, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, VI, UZ, VU, VA, VE, VN, WF, EH, YE, ZM, ZW
brandCardBrandrequiredVisaMasterCardAmericanExpressDinersClubDiscoverUnionPayMaestroEloMirHiper+5 moreShow fewer
Hipercard, Jcb, Electron, Uatp, Unknown
fundingCardFundingrequiredCreditDebitChargeCardPrepaidDeferredDebitUnknownprepaidbooleanrequiredWhether the card is on an anonymous prepaid programme. Not the same as funding: Prepaid, and it is priced differently.
Example true
issuerstringrequiredThe issuing bank, as the scheme names it.
binstringFirst six to eight digits, where you have them.
Example 424242
productTypeCardProductTypeConsumerCorporateUnknownschemeProductCardSchemeProductMasterCardCrPerMasterCardSigniaMasterCardDrPerIntMasterCardWorldAllStarAmericanExpressVisaCreditPersonalVisaDrPerIntDinersClubDiscoverDinersCreditComEEA+43 moreShow fewer
DinersInternational, DinersCreditPerEEA, DinersDebitComEEA, DinersDebitPerEEA, VisaDebitPersonal, VisaDebitCom, DrMasterCardPer, DrMasterCardCom, DebitMasterCardPerInt, EFTPOSPriority1, EFTPOSPriority2, JCB, JCBCreditComEEA, JCBInternational, JCBCreditPerEEA, JCBDebitComEEA, JCBDebitPerEEA, Keyfuels, LaSer, Overdrive, VisaElectronDr, VisaElectronCr, VisaElecPerInt, MaestroPer, MaestroCom, MaestroPer2, MaestroIntlCom, MaestroIntlPer, Supercharge, Sears, MasterCardComm, MasterCardBusiness, MasterCardFleet, MasterCardCorporate, MasterCardPurchase, MasterCardDrCom, VisaBusiness, VisaCommerce, VisaCorporate, VisaPurchasing, VisaDrComIntl, UATP, Unknown
A bank transfer the payer makes themselves.
A bank transfer the payer makes themselves.
A card.
The card attributes a surcharge is priced from.
typeenumrequiredSrchqCardAttributesAttributescurrencyIsoCurrencyrequiredThe currency the card is denominated in.
AFNDZDARSAMDAWGAUDAZNBSDBHDTHB+156 moreShow fewer
PAB, BBD, BYR, BZD, BMD, VEF, BOB, BRL, BND, BGN, BIF, CAD, CVE, KYD, XOF, XAF, XPF, CLP, COP, KMF, CDF, BAM, NIO, CRC, HRK, CUP, CZK, GMD, DKK, MKD, DJF, STD, DOP, VND, XCD, EGP, SVC, ETB, EUR, FKP, FJD, HUF, GHS, GIP, HTG, PYG, GNF, GYD, HKD, UAH, ISK, INR, IRR, IQD, JMD, JOD, KES, PGK, LAK, KWD, MWK, AOA, MMK, GEL, LBP, ALL, HNL, SLL, LRD, LYD, SZL, LSL, MGA, MYR, MUR, MXN, MXV, MDL, MAD, MZN, BOV, NGN, ERN, NAD, NPR, ANG, ILS, TWD, NZD, BTN, KPW, NOK, PEN, MRU, PKR, MOP, TOP, CUC, UYU, PHP, GBP, BWP, QAR, GTQ, ZAR, OMR, KHR, RON, MVR, IDR, RUB, RWF, SHP, SAR, RSD, SCR, SGD, SBD, KGS, SOS, TJS, SSP, LKR, SDG, SRD, SEK, CHF, SYP, BDT, WST, TZS, KZT, TTD, MNT, TND, TRY, TMT, AED, UGX, COU, CLF, UYI, USD, USN, USS, UZS, VUV, CHE, CHW, KRW, YER, JPY, CNY, ZMW, ZWL, PLN
countryIsoCountryrequiredThe country the card was issued in.
AFAXALDZASADAOAIAQAG+239 moreShow fewer
AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, VG, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CK, CR, CI, HR, CU, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, KP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, KR, SS, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, CD, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, VI, UZ, VU, VA, VE, VN, WF, EH, YE, ZM, ZW
brandCardBrandrequiredVisaMasterCardAmericanExpressDinersClubDiscoverUnionPayMaestroEloMirHiper+5 moreShow fewer
Hipercard, Jcb, Electron, Uatp, Unknown
fundingCardFundingrequiredCreditDebitChargeCardPrepaidDeferredDebitUnknownprepaidbooleanrequiredWhether the card is on an anonymous prepaid programme. Not the same as funding: Prepaid, and it is priced differently.
Example true
issuerstringrequiredThe issuing bank, as the scheme names it.
binstringFirst six to eight digits, where you have them.
Example 424242
productTypeCardProductTypeConsumerCorporateUnknownschemeProductCardSchemeProductMasterCardCrPerMasterCardSigniaMasterCardDrPerIntMasterCardWorldAllStarAmericanExpressVisaCreditPersonalVisaDrPerIntDinersClubDiscoverDinersCreditComEEA+43 moreShow fewer
DinersInternational, DinersCreditPerEEA, DinersDebitComEEA, DinersDebitPerEEA, VisaDebitPersonal, VisaDebitCom, DrMasterCardPer, DrMasterCardCom, DebitMasterCardPerInt, EFTPOSPriority1, EFTPOSPriority2, JCB, JCBCreditComEEA, JCBInternational, JCBCreditPerEEA, JCBDebitComEEA, JCBDebitPerEEA, Keyfuels, LaSer, Overdrive, VisaElectronDr, VisaElectronCr, VisaElecPerInt, MaestroPer, MaestroCom, MaestroPer2, MaestroIntlCom, MaestroIntlPer, Supercharge, Sears, MasterCardComm, MasterCardBusiness, MasterCardFleet, MasterCardCorporate, MasterCardPurchase, MasterCardDrCom, VisaBusiness, VisaCommerce, VisaCorporate, VisaPurchasing, VisaDrComIntl, UATP, Unknown
Direct debit from a bank account.
Direct debit from a bank account.
Google Pay, priced from the card behind it.
The card attributes a surcharge is priced from.
typeenumrequiredSrchqCardAttributesAttributescurrencyIsoCurrencyrequiredThe currency the card is denominated in.
AFNDZDARSAMDAWGAUDAZNBSDBHDTHB+156 moreShow fewer
PAB, BBD, BYR, BZD, BMD, VEF, BOB, BRL, BND, BGN, BIF, CAD, CVE, KYD, XOF, XAF, XPF, CLP, COP, KMF, CDF, BAM, NIO, CRC, HRK, CUP, CZK, GMD, DKK, MKD, DJF, STD, DOP, VND, XCD, EGP, SVC, ETB, EUR, FKP, FJD, HUF, GHS, GIP, HTG, PYG, GNF, GYD, HKD, UAH, ISK, INR, IRR, IQD, JMD, JOD, KES, PGK, LAK, KWD, MWK, AOA, MMK, GEL, LBP, ALL, HNL, SLL, LRD, LYD, SZL, LSL, MGA, MYR, MUR, MXN, MXV, MDL, MAD, MZN, BOV, NGN, ERN, NAD, NPR, ANG, ILS, TWD, NZD, BTN, KPW, NOK, PEN, MRU, PKR, MOP, TOP, CUC, UYU, PHP, GBP, BWP, QAR, GTQ, ZAR, OMR, KHR, RON, MVR, IDR, RUB, RWF, SHP, SAR, RSD, SCR, SGD, SBD, KGS, SOS, TJS, SSP, LKR, SDG, SRD, SEK, CHF, SYP, BDT, WST, TZS, KZT, TTD, MNT, TND, TRY, TMT, AED, UGX, COU, CLF, UYI, USD, USN, USS, UZS, VUV, CHE, CHW, KRW, YER, JPY, CNY, ZMW, ZWL, PLN
countryIsoCountryrequiredThe country the card was issued in.
AFAXALDZASADAOAIAQAG+239 moreShow fewer
AR, AM, AW, AU, AT, AZ, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BQ, BA, BW, BV, BR, IO, VG, BN, BG, BF, BI, KH, CM, CA, CV, KY, CF, TD, CL, CN, CX, CC, CO, KM, CG, CK, CR, CI, HR, CU, CW, CY, CZ, DK, DJ, DM, DO, EC, EG, SV, GQ, ER, EE, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GH, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, KW, KG, LA, LV, LB, LS, LR, LY, LI, LT, LU, MO, MK, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, MM, NA, NR, NP, NL, NC, NZ, NI, NE, NG, NU, NF, MP, KP, NO, OM, PK, PW, PS, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RE, RO, RU, RW, BL, SH, KN, LC, MF, PM, VC, WS, SM, ST, SA, SN, RS, SC, SL, SG, SX, SK, SI, SB, SO, ZA, GS, KR, SS, ES, LK, SD, SR, SJ, SZ, SE, CH, SY, TW, TJ, TZ, TH, CD, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, UG, UA, AE, GB, US, UM, UY, VI, UZ, VU, VA, VE, VN, WF, EH, YE, ZM, ZW
brandCardBrandrequiredVisaMasterCardAmericanExpressDinersClubDiscoverUnionPayMaestroEloMirHiper+5 moreShow fewer
Hipercard, Jcb, Electron, Uatp, Unknown
fundingCardFundingrequiredCreditDebitChargeCardPrepaidDeferredDebitUnknownprepaidbooleanrequiredWhether the card is on an anonymous prepaid programme. Not the same as funding: Prepaid, and it is priced differently.
Example true
issuerstringrequiredThe issuing bank, as the scheme names it.
binstringFirst six to eight digits, where you have them.
Example 424242
productTypeCardProductTypeConsumerCorporateUnknownschemeProductCardSchemeProductMasterCardCrPerMasterCardSigniaMasterCardDrPerIntMasterCardWorldAllStarAmericanExpressVisaCreditPersonalVisaDrPerIntDinersClubDiscoverDinersCreditComEEA+43 moreShow fewer
DinersInternational, DinersCreditPerEEA, DinersDebitComEEA, DinersDebitPerEEA, VisaDebitPersonal, VisaDebitCom, DrMasterCardPer, DrMasterCardCom, DebitMasterCardPerInt, EFTPOSPriority1, EFTPOSPriority2, JCB, JCBCreditComEEA, JCBInternational, JCBCreditPerEEA, JCBDebitComEEA, JCBDebitPerEEA, Keyfuels, LaSer, Overdrive, VisaElectronDr, VisaElectronCr, VisaElecPerInt, MaestroPer, MaestroCom, MaestroPer2, MaestroIntlCom, MaestroIntlPer, Supercharge, Sears, MasterCardComm, MasterCardBusiness, MasterCardFleet, MasterCardCorporate, MasterCardPurchase, MasterCardDrCom, VisaBusiness, VisaCommerce, VisaCorporate, VisaPurchasing, VisaDrComIntl, UATP, Unknown
A PayTo agreement.
A PayTo agreement.
A stored payment source, priced from whatever it holds.
sourceIdPsrcIdrequiredIdentifier of a payment source.
Example psrc_9f2Kd8QpLzXw
underlyingSrchqMethodrequiredThe same shape as created.method, shown above.
{
"type": "SrchqCreateRspAttributes",
"created": {
"type": "SrchqViewAttributes",
"surchargeQuoteId": "srchq_9f2Kd8QpLzXw",
"merchantId": "mcht_9f2Kd8QpLzXw",
"amounts": {
"type": "SrchqAmountsAttributes",
"currency": "AUD",
"amount": 1250,
"surcharge": 1250,
"total": 1250
},
"summary": "string",
"method": {
"type": "SrchqMethodApplePay",
"card": {
"type": "SrchqCardAttributesAttributes",
"currency": "AUD",
"country": "AU",
"brand": "Visa",
"funding": "Credit",
"prepaid": true,
"issuer": "string",
"bin": "424242",
"productType": "Consumer",
"schemeProduct": "MasterCardCrPer"
}
}
}
}Error responses
statusCodeinteger (int32)requiredHTTP status code for this error
errorCodestringrequiredAn APG Pay code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type.
messagestringrequiredHuman readable description of the error
tracerstringAn unique identifier for the request. Provide this to the support team if you wish to query a particular error.
detailstringOptional additional details for the error.
errorTypeDescriptionstringA description of the category of errors for the given statusCode.
metadataobjectOptional key value list of metadata
{
"statusCode": 100,
"errorCode": "string",
"message": "string",
"tracer": "string",
"detail": "string",
"errorTypeDescription": "string"
}statusCodeinteger (int32)requiredHTTP status code for this error
errorCodestringrequiredAn APG Pay code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type.
messagestringrequiredHuman readable description of the error
tracerstringAn unique identifier for the request. Provide this to the support team if you wish to query a particular error.
detailstringOptional additional details for the error.
errorTypeDescriptionstringA description of the category of errors for the given statusCode.
metadataobjectOptional key value list of metadata
{
"statusCode": 100,
"errorCode": "string",
"message": "string",
"tracer": "string",
"detail": "string",
"errorTypeDescription": "string"
}statusCodeinteger (int32)requiredHTTP status code for this error
errorCodestringrequiredAn APG Pay code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type.
messagestringrequiredHuman readable description of the error
tracerstringAn unique identifier for the request. Provide this to the support team if you wish to query a particular error.
detailstringOptional additional details for the error.
errorTypeDescriptionstringA description of the category of errors for the given statusCode.
metadataobjectOptional key value list of metadata
{
"statusCode": 100,
"errorCode": "string",
"message": "string",
"tracer": "string",
"detail": "string",
"errorTypeDescription": "string"
}statusCodeinteger (int32)requiredHTTP status code for this error
errorCodestringrequiredAn APG Pay code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type.
messagestringrequiredHuman readable description of the error
tracerstringAn unique identifier for the request. Provide this to the support team if you wish to query a particular error.
detailstringOptional additional details for the error.
errorTypeDescriptionstringA description of the category of errors for the given statusCode.
metadataobjectOptional key value list of metadata
{
"statusCode": 100,
"errorCode": "string",
"message": "string",
"tracer": "string",
"detail": "string",
"errorTypeDescription": "string"
}statusCodeinteger (int32)requiredHTTP status code for this error
errorCodestringrequiredAn APG Pay code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type.
messagestringrequiredHuman readable description of the error
tracerstringAn unique identifier for the request. Provide this to the support team if you wish to query a particular error.
detailstringOptional additional details for the error.
errorTypeDescriptionstringA description of the category of errors for the given statusCode.
metadataobjectOptional key value list of metadata
{
"statusCode": 100,
"errorCode": "string",
"message": "string",
"tracer": "string",
"detail": "string",
"errorTypeDescription": "string"
}statusCodeinteger (int32)requiredHTTP status code for this error
errorCodestringrequiredAn APG Pay code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type.
messagestringrequiredHuman readable description of the error
tracerstringAn unique identifier for the request. Provide this to the support team if you wish to query a particular error.
detailstringOptional additional details for the error.
errorTypeDescriptionstringA description of the category of errors for the given statusCode.
metadataobjectOptional key value list of metadata
{
"statusCode": 100,
"errorCode": "string",
"message": "string",
"tracer": "string",
"detail": "string",
"errorTypeDescription": "string"
}statusCodeinteger (int32)requiredHTTP status code for this error
errorCodestringrequiredAn APG Pay code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type.
messagestringrequiredHuman readable description of the error
tracerstringAn unique identifier for the request. Provide this to the support team if you wish to query a particular error.
detailstringOptional additional details for the error.
errorTypeDescriptionstringA description of the category of errors for the given statusCode.
metadataobjectOptional key value list of metadata
{
"statusCode": 100,
"errorCode": "string",
"message": "string",
"tracer": "string",
"detail": "string",
"errorTypeDescription": "string"
}statusCodeinteger (int32)requiredHTTP status code for this error
errorCodestringrequiredAn APG Pay code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type.
messagestringrequiredHuman readable description of the error
tracerstringAn unique identifier for the request. Provide this to the support team if you wish to query a particular error.
detailstringOptional additional details for the error.
errorTypeDescriptionstringA description of the category of errors for the given statusCode.
metadataobjectOptional key value list of metadata
{
"statusCode": 100,
"errorCode": "string",
"message": "string",
"tracer": "string",
"detail": "string",
"errorTypeDescription": "string"
}statusCodeinteger (int32)requiredHTTP status code for this error
errorCodestringrequiredAn APG Pay code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type.
messagestringrequiredHuman readable description of the error
tracerstringAn unique identifier for the request. Provide this to the support team if you wish to query a particular error.
detailstringOptional additional details for the error.
errorTypeDescriptionstringA description of the category of errors for the given statusCode.
metadataobjectOptional key value list of metadata
{
"statusCode": 100,
"errorCode": "string",
"message": "string",
"tracer": "string",
"detail": "string",
"errorTypeDescription": "string"
}statusCodeinteger (int32)requiredHTTP status code for this error
errorCodestringrequiredAn APG Pay code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type.
messagestringrequiredHuman readable description of the error
tracerstringAn unique identifier for the request. Provide this to the support team if you wish to query a particular error.
detailstringOptional additional details for the error.
errorTypeDescriptionstringA description of the category of errors for the given statusCode.
metadataobjectOptional key value list of metadata
{
"statusCode": 100,
"errorCode": "string",
"message": "string",
"tracer": "string",
"detail": "string",
"errorTypeDescription": "string"
}statusCodeinteger (int32)requiredHTTP status code for this error
errorCodestringrequiredAn APG Pay code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type.
messagestringrequiredHuman readable description of the error
tracerstringAn unique identifier for the request. Provide this to the support team if you wish to query a particular error.
detailstringOptional additional details for the error.
errorTypeDescriptionstringA description of the category of errors for the given statusCode.
metadataobjectOptional key value list of metadata
{
"statusCode": 100,
"errorCode": "string",
"message": "string",
"tracer": "string",
"detail": "string",
"errorTypeDescription": "string"
}statusCodeinteger (int32)requiredHTTP status code for this error
errorCodestringrequiredAn APG Pay code providing a brief explanation of the underlying error. Use this if you wish to provide custom behaviour based on the error type.
messagestringrequiredHuman readable description of the error
tracerstringAn unique identifier for the request. Provide this to the support team if you wish to query a particular error.
detailstringOptional additional details for the error.
errorTypeDescriptionstringA description of the category of errors for the given statusCode.
metadataobjectOptional key value list of metadata
{
"statusCode": 100,
"errorCode": "string",
"message": "string",
"tracer": "string",
"detail": "string",
"errorTypeDescription": "string"
}